> ## Documentation Index
> Fetch the complete documentation index at: https://developers.e-cross.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order documents by ID

> Retrieve documents related to an order (invoice and shipping labels)

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://order.api.e-cross.tech/ext/orders/ACME-ECOM-TEST-003/documents' \
    -H 'Authorization: Bearer YOUR_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "status": "success",
    "documents": [
      {
        "name": "Invoice",
        "url": "https://pdfobject.com/pdf/sample.pdf"
      },
      {
        "name": "Label",
        "url": "https://pdfobject.com/pdf/sample.pdf"
      }
    ]
  }
  ```
</ResponseExample>

<ResponseExample>
  ```json Processing theme={null}
  {
    "status": "processing"
  }
  ```
</ResponseExample>

### Path Parameters

<ParamField path="orderId" type="string" required>
  The e-CROSS order ID. Use this when retrieving by order ID.
</ParamField>

### Response Fields

<ResponseField name="status" type="string">
  Status of document availability:

  * `success` - Order is ready to ship and all documents are available
  * `processing` - Documents are not available yet, order is waiting to be invoiced
</ResponseField>

<ResponseField name="documents" type="array">
  Array of documents related to the order. Only present when `status` is `success`. If status is `processing`, this field won't be present.

  <Expandable title="Document Fields">
    <ResponseField name="name" type="string">
      The name of the document. Can be:

      * `Invoice` - Commercial invoice
      * `Label` - Package label (there can be one or many labels)
    </ResponseField>

    <ResponseField name="url" type="string">
      The URL to download the document. Documents are typically PDF files.
    </ResponseField>
  </Expandable>
</ResponseField>
